List saved view recipes
const url = 'http://127.0.0.1:8080/api/v1/saved-views/example/recipes?limit=50&offset=0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'http://127.0.0.1:8080/api/v1/saved-views/example/recipes?limit=50&offset=0' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Maximum number of entries to return
Maximum number of entries to return
Number of entries to skip
Number of entries to skip
Present each set of translated recipes once, as the rendition the preferred languages choose among those that match
Present each set of translated recipes once, as the rendition the preferred languages choose among those that match
Comma-separated BCP 47 content languages in order of preference, used when grouping translations
Comma-separated BCP 47 content languages in order of preference, used when grouping translations
Responses
Section titled “Responses”OK
object
object
Derived time this recipe needs the cook
Books this recipe was deliberately placed in
object
Identifier of this entry in the local Savorum library
The recipe’s primary language as a BCP 47 tag
Most recent cooking record
object
Immutable asset URL
Portable recipe document identifier
Publication books this recipe was taken from
object
object
Imported baseline plus this reader’s cooking records
Derived time from starting to being able to eat
Other renditions of a result grouped by translation; present only when grouping was requested
object
Library entry identifier
The rendition’s primary language as a BCP 47 tag
The rendition also matched the search; false when the request had no search
Example
{ "items": [ { "books": [ { "kind": "personal" } ], "source_books": [ { "kind": "personal" } ] } ]}No valid session or API token (authentication-required), or the credential sent is invalid (invalid-credentials).
object
Examplegenerated
{ "code": "example", "detail": "example", "status": 1, "title": "example", "type": "example"}Not Found
object
Stable application error code; clients may also use the problem type suffix.
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
A URI reference that identifies the specific occurrence of the problem.
Structured context for the stable error code.
object
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
object
object
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}Unprocessable Entity
object
Stable application error code; clients may also use the problem type suffix.
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
A URI reference that identifies the specific occurrence of the problem.
Structured context for the stable error code.
object
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
object
object
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}Internal Server Error
object
Stable application error code; clients may also use the problem type suffix.
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
A URI reference that identifies the specific occurrence of the problem.
Structured context for the stable error code.
object
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
object
object
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}